<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/commentContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8.5dp">

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/comment_user_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:avatar_width="30dp"
            app:badge_width="10dp"
            app:border_color="@color/transparent"
            tools:layout_height="45dp"
            tools:layout_width="45dp" />

        <RelativeLayout
            android:id="@+id/comment_username_and_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/comment_user_icon"
            android:layout_marginLeft="2.5dp"
            android:layout_toRightOf="@+id/comment_user_icon">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/user_info_cl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginRight="4dp"
                android:layout_toLeftOf="@id/command_container">

                <TextView
                    android:id="@+id/comment_user_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/text_tertiary"
                    android:textSize="13sp"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/comment_author"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintHorizontal_chainStyle="packed"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="孙一峰" />

                <TextView
                    android:id="@+id/comment_author"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:background="@drawable/comment_send_button_available_dark"
                    android:includeFontPadding="false"
                    android:paddingLeft="4dp"
                    android:paddingTop="2dp"
                    android:paddingRight="4dp"
                    android:paddingBottom="2dp"
                    android:text="作者"
                    android:textColor="@color/white"
                    android:textSize="10sp"
                    android:visibility="gone"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="@+id/comment_user_name"
                    app:layout_constraintEnd_toStartOf="@+id/sdv_user_badge"
                    app:layout_constraintStart_toEndOf="@+id/comment_user_name"
                    app:layout_constraintTop_toTopOf="@+id/comment_user_name"
                    tools:visibility="visible" />


                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/sdv_user_badge"
                    android:layout_width="14dp"
                    android:layout_height="14dp"
                    android:layout_marginLeft="4dp"
                    android:layout_marginRight="2dp"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/comment_author"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/comment_author"
                    app:layout_constraintTop_toTopOf="@+id/comment_author"
                    tools:visibility="visible" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <LinearLayout
                android:id="@+id/command_container"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_marginRight="4dp"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/comment_like_container"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:paddingLeft="10dp"
                    android:paddingTop="4dp"
                    android:paddingRight="10dp"
                    android:paddingBottom="4dp">

                    <ImageView
                        android:id="@+id/comment_like"
                        android:layout_width="14dp"
                        android:layout_height="15dp"
                        android:src="@drawable/comment_vote_unselect" />

                    <TextView
                        android:id="@+id/comment_like_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:textColor="@color/text_secondary"
                        android:textSize="12sp"
                        tools:text="20" />

                </LinearLayout>

            </LinearLayout>

            <TextView
                android:id="@+id/comment_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/user_info_cl"
                android:layout_alignLeft="@+id/user_info_cl"
                android:layout_marginTop="8dp"
                android:layout_marginRight="4dp"
                android:layout_toLeftOf="@id/command_container"
                android:includeFontPadding="false"
                android:lineSpacingExtra="3dp"
                android:textColor="@color/white"
                android:textSize="14sp"
                tools:text="星際爭霸與星際爭霸2的職業選電競戰隊的經理美少女团体星際老男孩成員之一，還在杭州經營水產生意。" />

            <TextView
                android:id="@+id/comment_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/comment_content"
                android:layout_marginTop="8dp"
                android:includeFontPadding="false"
                android:textColor="@color/text_tertiary"
                android:textSize="12sp"
                tools:text="1小时前" />
        </RelativeLayout>


        <LinearLayout
            android:id="@+id/replyContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/comment_username_and_time"
            android:layout_marginLeft="47.5dp"
            android:orientation="vertical"
            android:visibility="gone"
            tools:visibility="visible">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/stairsRv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <LinearLayout
                android:id="@+id/expandMoreLl"
                android:layout_width="match_parent"
                android:layout_height="28dp"
                android:layout_marginTop="8dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <View
                    android:layout_width="20dp"
                    android:layout_height="1dp"
                    android:background="@color/text_secondary" />

                <TextView
                    android:id="@+id/expandMoreTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:text="展开0条回复"
                    android:textColor="@color/text_tertiary"
                    android:textSize="12sp" />

                <ImageView
                    android:id="@+id/expandMoreIv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:src="@drawable/ic_expand_down" />
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>